CREATE TABLE IF NOT EXISTS FILES(PATH VARCHAR(10000), IP VARCHAR(45), FILE_TIME BIGINT, UPDATE_TIME TIMESTAMP, CREATE_TIME TIMESTAMP, CONTENT VARCHAR(5000000), PRIMARY KEY(PATH, IP));
CREATE INDEX IF NOT EXISTS FILES_UPDATE_TIME_IDX ON FILES(UPDATE_TIME);
DROP TABLE IF EXISTS COMMAND_RESULTS;
CREATE TABLE IF NOT EXISTS COMMAND_RESULTS(PROVIDER VARCHAR(100), USER VARCHAR(100), IP VARCHAR(45), PATTERN VARCHAR(100), STEP VARCHAR(100), COMMAND VARCHAR(1000), ARGS VARCHAR(1000), RESULT VARCHAR(5000000), RESULT_TIME TIMESTAMP, LAST_HIT_TIME TIMESTAMP, HIT_COUNTER BIGINT, PRIMARY KEY(PROVIDER, USER, IP, PATTERN, STEP, COMMAND, ARGS));
CREATE INDEX IF NOT EXISTS PATTERN_NAME_IDX ON COMMAND_RESULTS(PATTERN);
